PATRONEO(1)

NAME
Patroneo - Easy to use pattern based midi sequencer.

DESCRIPTION
usage: patroneo [-h] [-v] [-s DIRECTORY] [-p] [-m] [-V]

Patroneo - Version 2.4.1 - Copyright 2022 by Laborejo Software Suite - https://www.laborejo.org/patroneo

  options:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-s DIRECTORY, --save DIRECTORY
    Use this directory to save. Will be created or loaded from if already present. Deactivates Agordejo/NewSession-Manager support.

-p, --profiler
    (Development) Run the python profiler and produce a .cprof file at quit. The name will appear in your STDOUT.

-m, --mute
    (Development) Use a fake cbox module, effectively deactivating midi and audio.

-V, --verbose
    (Development) Switch the logger to INFO and print out all kinds of information to get a high-level idea of what the program is doing. You can also set the environment variable LSS_DEBUG=1

USAGE
Patroneo (which is Esperanto for "Pattern") is an easy to use, pattern based midi sequencer, a program that sends digital "notes" to software instruments such as synthesizers and samplers. This program is feature-complete with version 2.4.1 in 2022. Further releases will be limited to maintenance and fixing problems. Patroneo was initially designed for educational purposes, where the main goal is to teach the importance of patterns and repetitions in any kind of music. However, Patroneo is a full sequencer you can use to create real music. The constraints it presents will more likely boost your creativity than suppressing it. You have tracks with one pattern each. Turn on steps in the pattern to play musical notes. Switch the patterns on and off in a sequence to create a song structure. Connect external synthesizers and samplers to create sounds.

EXAMPLES
Start patroneo through NSM, e.g. through Agordejo. This will take care of all settings and save directories. Other modes of operations, mostly for testing, are: Run without session management and save in /tmp.
    patroneo --save /tmp Run without audio and midi. Skips all JACK checks. Used to just look at the GUI, e.g. to make screenshots
    patroneo --mute

REPORTING BUGS
https://www.laborejo.org/bugs

COPYRIGHT
Patroneo 2.4.1 - Copyright 2022 Laborejo Software Suite https://www.laborejo.org/

SEE ALSO
The full documentation for Patroneo is maintained as a multi-lingual html site to your systems doc-dir. For example:
    xdg-open file:///usr/share/doc/patroneo/index.html The documentation can also be found online https://www.laborejo.org/documentation/patroneo